
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_STATIC_STATES
#define INITNG_STATIC_STATES

extern a_state_h LOADING;
extern a_state_h STARTING;
extern a_state_h WAITING_FOR_START_DEP;
extern a_state_h START_DEP_MET;
extern a_state_h FAIL_STARTING;
extern a_state_h START_DEP_FAILED;
extern a_state_h RUNNING;
extern a_state_h DONE;
extern a_state_h STOPPING;
extern a_state_h WAITING_FOR_STOP_DEP;
extern a_state_h STOP_DEP_MET;
extern a_state_h STOP_DEP_FAILED;
extern a_state_h FAIL_STOPPING;
extern a_state_h STOPPED;
extern a_state_h STOP_MARKED;
extern a_state_h FREEING;
extern a_state_h WAIT_FOR_CRON;

void add_static_states(void);
#endif
